Skip to main content
PATCH
/
creators
/
{creatorUserUuid}
/
chats
/
mass-messages
/
{messageUuid}
Update a creator scheduled mass message
curl --request PATCH \
  --url https://api.fanvue.com/creators/{creatorUserUuid}/chats/mass-messages/{messageUuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Fanvue-API-Version: <x-fanvue-api-version>' \
  --data '
{
  "text": "Hey, thanks so much for the support!",
  "mediaUuids": [
    "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  ],
  "price": 9.99,
  "includedLists": {
    "smartListUuids": [
      "subscribers"
    ],
    "customListUuids": [
      "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    ]
  },
  "excludedLists": {
    "smartListUuids": [
      "subscribers"
    ],
    "customListUuids": [
      "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    ]
  }
}
'
{
  "error": "<string>",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Fanvue-API-Version
string
default:2025-06-26
required

API version to use for the request

Example:

"2025-06-26"

Path Parameters

creatorUserUuid
string<uuid>
required
messageUuid
string<uuid>
required

Body

application/json
text
string
Maximum string length: 5000
mediaUuids
string<uuid>[]
price
number | null
Required range: x >= 300
includedLists
object
excludedLists
object
scheduledAt
string<date-time>

Optional scheduled date/time in ISO 8601 format. Alias scheduled_at is also accepted.

Response

Mass message updated successfully